<ion-app>
  <ion-content class="ion-padding eh-py-0">
    <div class="eh-w-100p eh-mt-8 eh-pt-10" fxLayout="column" fxLayoutAlign="start center">
      <div class="eh-w-120">
        <img class="eh-fit" src="../../../../../assets/images/mp-logo.jpg" alt="mp-logo">
      </div>
    </div>
    <div fxLayout="column" fxLayoutAlign="start center">
      <ng-container *ngIf="showLogin " [formGroup]="loginFormGroup">
        <mat-form-field appearance="standard" class="e-mat-form-field eh-mt-24">
          <mat-label class="eh-txt-16">Email</mat-label>
          <input matInput formControlName="email" placeholder="my@email.com">
          <mat-icon matSuffix>email</mat-icon>
        </mat-form-field>
        <mat-form-field appearance="standard" class="e-mat-form-field">
          <mat-label class="eh-txt-16">Password</mat-label>
          <!-- <input matInput formControlName="password" type="password">
        <mat-icon matSuffix>vpn_key</mat-icon> -->
          <input matInput formControlName="password" [type]="passwordFormControlType">
          <mat-icon matSuffix class="eh-csr-ptr e-txt-primary" (click)="onTogglePasswordView()">
            {{passwordFormControlIcon}}
          </mat-icon>
        </mat-form-field>

        <div class="eh-w-100p eh-mt-8 eh-txt-right" fxLayout="column" fxLayoutAlign="start center">
          <a class="eh-txt-underline e-txt e-txt--eblue700 eh-txt-14" href="javascript: void(0);"
            (click)="toggleViewPassword()">
            Forgot Password
          </a>
        </div>
        <div class="eh-mt-16 eh-w-50p">
          <app-button buttonStyle="e-mat-button--eblue400 eh-txt-16" title="Login" [loading]="loading"
            (onButtonClick)="onLogin()">
          </app-button>
        </div>
      </ng-container>
      <ng-container *ngIf="!showLogin" [formGroup]="forgotPassFG">
        <div class="eh-txt-center e-txt e-txt--eblue700 eh-mt-12">Forgot Password</div>

        <mat-form-field appearance="standard" class="e-mat-form-field eh-mt-4">
          <input matInput formControlName="email" type="email" placeholder="Email">
          <mat-icon matSuffix>email</mat-icon>
        </mat-form-field>

        <div class="eh-mt-10 eh-w-60p">
          <app-button buttonStyle="e-mat-button--eblue400" title="Get Password Reset Email"
            [loading]="sendingForgotPassEmail" (onButtonClick)="onForgotPass()">
          </app-button>
        </div>

        <div class="eh-w-60p eh-mt-8 eh-txt-center" fxLayout="column" fxLayoutAlign="start center">
          <a class="eh-txt-underline e-txt eh-txt-14 e-txt--eblue700" href="javascript: void(0);"
            (click)="toggleViewPassword()">
            Login
          </a>
        </div>
      </ng-container>
    </div>
  </ion-content>
</ion-app>